This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 885124 - Notifications stays after clicking on 'x' button
Notifications stays after clicking on 'x' button
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
AcceptedNTH RejectedBlocker
:
Depends On:
Blocks: F18-accepted/F18FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-12-07 09:44 EST by Petr Schindler
Modified: 2014-02-05 08:39 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 08:39:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Schindler 2012-12-07 09:44:05 EST
Description of problem:
When I have some notifications from empathy, evolution etc. and I want to close them, I click on 'x' button, but nothing happens.

For example: When I want to close 'notification' with my conversation with empathy contact, I have to open conversation in window (by clicking into the middle of notification) and then close this notification from within the window.

Version-Release number of selected component (if applicable):
gnome-shell-3.6.2-3.fc18.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Log in and run empathy or evolution
2. Wait for some notification
3. In 'systray' click on the notification
4. Click on 'x' button
  
Actual results:
nothing happens, the notification is still there

Expected results:
notification should disappear

Additional info:
Comment 1 Petr Schindler 2012-12-07 09:56:59 EST
I propose this as blocker bug as it violate following criterion: "All elements of the default panel (or equivalent) configuration in all release-blocking desktops must function correctly in common use "
Comment 2 Kamil Páral 2012-12-10 12:38:39 EST
Workarounds:
1. Click on the message text (might trigger some action for certain notifications)
2. Right click on the icon in message tray -> remove
Comment 3 Adam Williamson 2012-12-10 12:42:02 EST
Discussed at 2012-12-10 blocker review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-10/f18final-blocker-review-3.2012-12-10-17.13.log.txt . Rejected as a blocker on the basis that while it's not quite functioning correctly it's too trivial an issue to really constitute a breach of the criteria - the criterion is more about things being completely broken than little bugs. There are various ways to get the notifications to go away other than the X. Accepted as NTH as it's a polish issue that could affect the live images.
Comment 4 Adam Williamson 2012-12-12 03:19:45 EST
On my current boot, notifications have gotten even worse - the icons show up, but clicking on the icons does nothing. I'm not going to reboot right now because I'm also debugging an issue where Evo performance gets worse over time.
Comment 5 Matthias Clasen 2012-12-17 08:10:24 EST
The description of the problem is a bit unclear. Are you describing a problem that is specific to chat notifications, or a general problem with all notifications ? (there's a passing mention of evolution). 

Are you saying that the notification bubble stays around after you clicked the close button, or are you complaining that the icon stays in the message tray ?
Comment 6 Kamil Páral 2012-12-17 08:51:56 EST
The reason why we approved it as NTH was that it affected all notifications (not just chat ones), and the notification bubble refused to slide down after X was clicked.

But I can no longer reproduce this with F18 TC2 (same gnome-shell version). I don't know what changed. Petr, can you confirm?
Comment 7 Petr Schindler 2012-12-17 10:05:57 EST
I probably only misunderstand the concept of those notifications. I filled this bug, because I thought that when I have opened "bubble" and I click on 'x' button (in upper right corner) it should remove this notification from notification area. But when I look at it now, it seems to me that it should only close bubble (as for removing notification there is right click -> remove action).

If it is so, and because 'x' button seems to work (closes bubble), you probably can close it.
Comment 8 Kamil Páral 2012-12-17 10:52:00 EST
(However, it is still confusing that X doesn't remove from tray, but clicking on the bubble body does remove from tray.)
Comment 9 Adam Williamson 2012-12-17 17:37:37 EST
for me, clicking on the X wasn't closing the bubble at all, and it was affecting all notifications. Seems to be working so far on my current boot, though.
Comment 10 Fedora End Of Life 2013-12-21 04:47:12 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 08:39:24 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.